Compatibility

The package was written in Objective-C, an Object Oriented superset of C which is the base language for the NeXTStep environment.

It has a relative direct compatibility with the Mac OS X systems, but for a wide compatibility of the package on widespread Unices, Linux and Microsoft-Windows OSes, the only way to use it is to have a look on the GNUstep project, portage of the NeXTStep Objective-C API. For more informations on this topic see the next part : GNUstep. Without installing this environment, you will not be able to configure the simulator via the Graphical User Interface.

The Simulator was compiled and tested under the following platforms :

  • NeXTStep/OpenStep
  • Sun sparc Solaris (2.7)
  • Linux (SuSEv7.0, RedHatv7.0, Mandrakev8.0, Debian)

The main compatibility problems come from the use of the compiler.

The following sections give system-specific informations:

SUN solaris

The installation was made with the stable GCC v2.95.2 obtained from ftp://ftp.gnu.org compiled with its GCC-ObjC module.

The compilation of the sources should fail, you have to replace the libobjc.a v2.95.2 (find it in /usr/local/lib if you have not configured GCC with particular path (without --prefix)) with the older version

 libobjc.a (v2.81)

Then the compilation should work, if not, make sure you have the latest version of (GNU) make.

GNU Linux

The compilation does not run with the native version of GCC (installed by default on user friendly distributions like Red-Hat or SuSE). You will have to download GCC v2.95.2 and (GCC + Core) with the corresponding Gcc-ObjC module.

Actually the GCC rpm-package is configured for a standard processor (i386), and maybe the via-rpm installed GCC can work on i386 systems.

Tips

a) to display the machine GCC is configured for, type: $ gcc -dumpmachine

b) which version of GCC do you use: $ gcc --version

b) have a look at the gcc-installation notes, the installation procedure is different from a standard install.

c) if you want to revert to the libobjc.a v2.95.2 you can get it here (Solaris 2.7) : libobjc.a (v2.95.2)

Last update : 29/01/2019